Missing Authorization in Jenkins extreme-feedback plugin



Published: 2022-09-23
Risk Medium
Patch available NO
Number of vulnerabilities 1
CVE-ID CVE-2022-41242
CWE-ID CWE-862
Exploitation vector Network
Public exploit N/A
Vulnerable software
Subscribe
extreme-feedback
Web applications / Modules and components for CMS

Vendor Jenkins

Security Bulletin

This security bulletin contains one medium risk vulnerability.

1) Missing Authorization

EUVDB-ID: #VU67605

Risk: Medium

CVSSv3.1:

CVE-ID: CVE-2022-41242

CWE-ID: CWE-862 - Missing Authorization

Exploit availability: No

Description

The vulnerability allows a remote attacker to bypass authorization checks.

The vulnerability exists due to the affected plugin does not perform a permission check in an HTTP endpoint. A remote user can discover information about job names attached to lamps, discover MAC and IP addresses of existing lamps and rename lamps.

Mitigation

Cybersecurity Help is currently unaware of any official solution to address this vulnerability.

Vulnerable software versions

extreme-feedback: 1.0 - 1.7


CPE2.3 External links

http://jenkins.io/security/advisory/2022-09-21/

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?



###SIDEBAR###